Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class WorkspaceModifyDelegatingOperation

    java.lang.Object
      org.eclipse.ui.actions.WorkspaceModifyOperation
          org.eclipse.ui.actions.WorkspaceModifyDelegatingOperation

All Implemented Interfaces:
  IRunnableWithProgress

public class WorkspaceModifyDelegatingOperation
extends WorkspaceModifyOperation

An operation which delegates its work to a runnable that modifies the workspace.

This class may be instantiated; it is not intended to be subclassed.

Constructor Summary
`WorkspaceModifyDelegatingOperation(IRunnableWithProgress content)` Creates a new operation which will delegate its work to the given runnable.
`WorkspaceModifyDelegatingOperation(IRunnableWithProgress content, ISchedulingRule rule)` Creates a new operation which will delegate its work to the given runnable using the provided scheduling rule.

Method Summary
`protected void` | `execute(IProgressMonitor monitor)` Performs the steps that are to be treated as a single logical workspace change.

Methods inherited from class org.eclipse.ui.actions.WorkspaceModifyOperation
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkspaceModifyDelegatingOperation

    public WorkspaceModifyDelegatingOperation(IRunnableWithProgress content,
                                              ISchedulingRule rule)

  Creates a new operation which will delegate its work to the given runnable using the provided scheduling rule.

Parameters:
  `content` - the runnable to delegate to when this operation is executed
  `rule` - The ISchedulingRule to use or `null`.

### WorkspaceModifyDelegatingOperation

    public WorkspaceModifyDelegatingOperation(IRunnableWithProgress content)

  Creates a new operation which will delegate its work to the given runnable. Schedule using the supplied s

Parameters:
  `content` - the runnable to delegate to when this operation is executed

Method Detail

### execute

    protected void execute(IProgressMonitor monitor)
                    throws CoreException,
                           InterruptedException

  Description copied from class: `WorkspaceModifyOperation`
  Performs the steps that are to be treated as a single logical workspace change.

  Subclasses must implement this method.

  Specified by:
    `execute` in class `WorkspaceModifyOperation`
  Parameters:
    `monitor` - the progress monitor to use to display progress and field user requests to cancel
  Throws:
    `CoreException` - if the operation fails due to a CoreException
    `InterruptedException` - if the operation detects a request to cancel, using `IProgressMonitor.isCanceled()`, it should exit by throwing `InterruptedException`. It is also possible to throw `OperationCanceledException`, which gets mapped to `InterruptedException` by the `run` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.